#include <stdio.h>
#include <stdlib.h>

int main()
{
    unsigned int h,n;
    scanf("%d %d",&h,&n);

    int v[h][n];
    int i,j;
    for(i=0;i<h;i++)
    {
        for(j=0;j<n;j++)
            scanf("%d",&v[i][j]);
    }

    printf("%d",-1);


    return 0;
}